Vulnerability CVE-2007-6723


Published: 2009-03-31   Modified: 2012-02-12

Description:
TorK before 0.22, when running on Windows and Mac OS X, installs Privoxy with a configuration file (config.txt or config) that contains insecure (1) enable-remote-toggle and (2) enable-edit-actions settings, which allows remote attackers to bypass intended access restrictions and modify configuration.

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None
Affected software
Anonymityanywhere -> TORK 

 References:
http://archives.seul.org/or/talk/Oct-2007/msg00291.html
http://archives.seul.org/or/talk/Oct-2007/msg00296.html
http://sourceforge.net/project/shownotes.php?release_id=551544&group_id=159836
http://www.securityfocus.com/bid/26386
https://exchange.xforce.ibmcloud.com/vulnerabilities/42280

Copyright 2022, cxsecurity.com

 

Back to Top